Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(44)

Issue 2523663002: Remove remaining base dependencies from base/numerics (Closed)

Created:
2 years, 11 months ago by jschuh
Modified:
2 years, 11 months ago
Reviewers:
Tom Sepez
CC:
chromium-reviews, vmpstr+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove remaining base dependencies from base/numerics All that was left was base/logging.h. And since this gets pulled in for a lot of other projects, it's best to make it dependency clean. It also necessitated several IWYU fixes for the missing header. TBR=jam@chromium.org, CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Committed: https://crrev.com/56e749411f02b5720c37746e4e9c28d5289c194d Cr-Commit-Position: refs/heads/master@{#434057}

Patch Set 1 #

Patch Set 2 : IWYU fixes #

Patch Set 3 : IWYU fixes #2 #

Patch Set 4 : IWYU fixes #3 #

Patch Set 5 : IWYU fixes #4 #

Patch Set 6 : IWYU fixes #5 #

Total comments: 2

Patch Set 7 : fix gcc compile and cast IWYU #

Patch Set 8 : fix gcc compile #

Unified diffs Side-by-side diffs Delta from patch set Stats (+18 lines, -7 lines) Patch
M base/numerics/safe_conversions.h View 1 2 3 4 5 6 7 4 chunks +9 lines, -6 lines 0 comments Download
M base/numerics/safe_math.h View 1 chunk +0 lines, -1 line 0 comments Download
M base/time/time.h View 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/media/base/media_caps.cc View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M components/subresource_filter/core/common/unindexed_ruleset.cc View 1 1 chunk +1 line, -0 lines 0 comments Download
M crypto/signature_verifier_unittest.cc View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M gpu/command_buffer/common/gles2_cmd_utils.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M gpu/command_buffer/tests/gl_test_utils.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M ui/display/util/edid_parser_fuzzer.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/gfx/geometry/rect.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/test/test_layout_manager.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 30 (19 generated)
jschuh
@tsepez - This is the change we discussed yeserday. It's a few lines in safe_conversions.h. ...
2 years, 11 months ago (2016-11-22 18:07:52 UTC) #10
Tom Sepez
https://codereview.chromium.org/2523663002/diff/80001/base/numerics/safe_conversions.h File base/numerics/safe_conversions.h (right): https://codereview.chromium.org/2523663002/diff/80001/base/numerics/safe_conversions.h#newcode51 base/numerics/safe_conversions.h:51: ((void)(*(volatile char*)0 = 0)); I thought we had an ...
2 years, 11 months ago (2016-11-22 18:17:31 UTC) #11
jschuh
https://codereview.chromium.org/2523663002/diff/80001/base/numerics/safe_conversions.h File base/numerics/safe_conversions.h (right): https://codereview.chromium.org/2523663002/diff/80001/base/numerics/safe_conversions.h#newcode51 base/numerics/safe_conversions.h:51: ((void)(*(volatile char*)0 = 0)); On 2016/11/22 18:17:31, Tom Sepez ...
2 years, 11 months ago (2016-11-22 18:27:53 UTC) #12
Tom Sepez
lgtm
2 years, 11 months ago (2016-11-22 18:31:23 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2523663002/80001
2 years, 11 months ago (2016-11-22 18:32:42 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_arm64_dbg_recipe/builds/168654) cast_shell_linux on master.tryserver.chromium.linux (JOB_FAILED, ...
2 years, 11 months ago (2016-11-22 18:58:38 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2523663002/120001
2 years, 11 months ago (2016-11-22 21:07:49 UTC) #20
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/267365)
2 years, 11 months ago (2016-11-22 23:10:29 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2523663002/120001
2 years, 11 months ago (2016-11-22 23:17:36 UTC) #24
commit-bot: I haz the power
Committed patchset #8 (id:120001)
2 years, 11 months ago (2016-11-23 01:09:23 UTC) #27
commit-bot: I haz the power
2 years, 11 months ago (2016-11-23 01:14:33 UTC) #29
Message was sent while issue was closed.
Patchset 8 (id:??) landed as
https://crrev.com/56e749411f02b5720c37746e4e9c28d5289c194d
Cr-Commit-Position: refs/heads/master@{#434057}

Powered by Google App Engine
This is Rietveld 408576698